package sun.awt.windows;

import java.nio.charset.CharsetEncoder;
import java.nio.charset.Charset;
import sun.awt.AWTCharset;

final class WDefaultFontCharset extends AWTCharset
{
    private String fontName;
    
    WDefaultFontCharset(String fontName) {
        super("WDefaultFontCharset", Charset.forName("windows-1252"));
        this.fontName = fontName;
    }
    
    @Override
    public CharsetEncoder newEncoder() {
        return new WDefaultFontCharset.Encoder();
    }
    
    private synchronized native boolean canConvert(char p0);
    
    private static native void initIDs();
    
    static boolean access$100(WDefaultFontCharset wDefaultFontCharset, char c) {
        return wDefaultFontCharset.canConvert(c);
    }
    
    static {
        initIDs();
    }
    
    private class Encoder extends AWTCharset.Encoder
    {
        @Override
        public boolean canEncode(char c) {
            return WDefaultFontCharset.access$100(WDefaultFontCharset.this, c);
        }
    }
}
